Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfModeType

    java.lang.Object
      java.lang.Enum<OdfModeType>
          org.odftoolkit.odfdom.dom.type.table.OdfModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfModeType>

    public enum OdfModeType

extends Enum<OdfModeType>

DOM implementation of OpenDocument attribute table:mode.

Enum Constant Summary
`COPY_ALL`
`COPY_RESULTS_ONLY`

Method Summary
`static OdfModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COPY_RESULTS_ONLY

    public static final OdfModeType COPY_RESULTS_ONLY

### COPY_ALL

    public static final OdfModeType COPY_ALL

Method Detail

### values

    public static OdfModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfModeType c : OdfModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfModeType>`
  Returns:
    return the name of OdfModeType

### toString

    public static String toString(OdfModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfModeType, see table:mode
  Returns:
    return the name of OdfModeType

### enumValueOf

    public static OdfModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfModeType
  Returns:
    return the constant of OdfModeType, see table:mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.